Bug 1297827 - [RFE] Support non-root OVS (including DPDK)
[RFE] Support non-root OVS (including DPDK)
Status: POST
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Aaron Conole
ovs-qe@redhat.com
: FutureFeature
Depends On:
Blocks: 1297820 1317889
  Show dependency treegraph
 
Reported: 2016-01-12 09:50 EST by Aaron Conole
Modified: 2017-08-09 16:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Conole 2016-01-12 09:50:41 EST
Description of problem:

As part of the '--user' feature to run Open vSwitch as non-root user, the /var/run/openvswitch directory which is created by systemd will have incorrect ownership. 

Version-Release number of selected component (if applicable):

2.5

How reproducible:

100%

Attempting to start openvswitch as a non-root user will expose the issue. A workaround exists by manually creating /var/run/openvswitch and assigning permissions before running 'systemctl start openvswitch'
Comment 4 Flavio Leitner 2017-02-20 09:13:29 EST
Note: OVS-DPDK still requires root privileges to work.
Comment 7 Aaron Conole 2017-08-09 16:49:09 EDT
This series was accepted, and will be available as part of 2.8

Note You need to log in before you can comment on or make changes to this bug.